<?php
/**
 * @file
 * The group_mind_messages_type class File.
 */

/**
 * Select the good class which manages the messages creation.
 */
class group_mind_messages_type {
  /**
   * Return the instance of the class we will manage the messages.
   *
   * @param string $type
   *   The node_type to use for the messages('question', 'answer' ...)
   *   by defaut it's the group_mind_messages class.
   */
  public function get($type = '') {
    // Default class, parent of all.
    include_once drupal_get_path('module', 'group_mind_messages') . '/class/group_mind_messages.php';
    switch ($type) {
      // Q&A manages specific messages.
      case 'question':
      case 'answer':
        if (module_exists('group_mind_q_a')) {
          // Load the Q&A messages class.
          include_once drupal_get_path('module', 'group_mind_q_a') . '/class/group_mind_messages_q_a.php';
          return new group_mind_messages_q_a();
        }

      default:
        return new group_mind_messages();
    }
  }
}
