<?php
/**
 * @file
 * group_mind_messages.features.inc
 */

/**
 * Implements hook_ctools_plugin_api().
 */
function group_mind_messages_ctools_plugin_api() {
  list($module, $api) = func_get_args();
  if ($module == "strongarm" && $api == "strongarm") {
    return array("version" => "1");
  }
}

/**
 * Implements hook_default_message_type().
 */
function group_mind_messages_default_message_type() {
  $items = array();
  $items['moderated_comment'] = entity_import('message_type', '{
    "name" : "moderated_comment",
    "description" : "moderated comment",
    "argument_keys" : [],
    "argument" : [],
    "category" : "message_type",
    "data" : {
      "token options" : { "clear" : 0 },
      "purge" : { "override" : 0, "enabled" : 0, "quota" : "", "days" : "" }
    },
    "language" : "en",
    "arguments" : null,
    "message_text" : { "und" : [
        {
          "value" : "\\u003Ca href=\\u0022[message:user:url]\\u0022\\u003E[message:user:name]\\u003C\\/a\\u003E has moderated  \\u003Ca href=\\u0022[message:field-comment-ref:author:url]\\u0022\\u003E[message:field-comment-ref:author:name]\\u003C\\/a\\u003E\\u0027s comment:  \\u003Ca href=\\u0022[message:field-comment-ref:url]\\u0022\\u003E\\u0022[message:field-comment-ref:title]\\u0022\\u003C\\/a\\u003E.",
          "format" : "full_html",
          "safe_value" : "\\u003Ca href=\\u0022[message:user:url]\\u0022\\u003E[message:user:name]\\u003C\\/a\\u003E has moderated  \\u003Ca href=\\u0022[message:field-comment-ref:author:url]\\u0022\\u003E[message:field-comment-ref:author:name]\\u003C\\/a\\u003E\\u0027s comment:  \\u003Ca href=\\u0022[message:field-comment-ref:url]\\u0022\\u003E\\u0022[message:field-comment-ref:title]\\u0022\\u003C\\/a\\u003E."
        },
        {
          "value" : "[message:field-moderator:name] has moderated [message:field-comment-ref:author:name]\\u0027s comment [message:field-comment-ref:title].",
          "format" : "plain_text",
          "safe_value" : "\\u003Cp\\u003E[message:field-moderator:name] has moderated [message:field-comment-ref:author:name]\\u0026#039;s comment [message:field-comment-ref:title].\\u003C\\/p\\u003E\\n"
        },
        {
          "value" : "Hello [message:user:name],\\r\\n\\r\\n\\u003Ca href=\\u0022[message:field-moderator:url]\\u0022\\u003E[message:field-moderator:name]\\u003C\\/a\\u003E has moderated  \\u003Ca href=\\u0022[message:field-comment-ref:author:url]\\u0022\\u003E[message:field-comment-ref:author:name]\\u003C\\/a\\u003E\\u0027s comment:  \\u003Ca href=\\u0022[message:field-comment-ref:url]\\u0022\\u003E\\u0022[message:field-comment-ref:title]\\u0022\\u003C\\/a\\u003E on the [message:field-comment-ref:node:content-type] \\u003Ca href=\\u0022[message:field-comment-ref:node:url]\\u0022\\u003E\\u0022[message:field-comment-ref:node:title]\\u0022\\u003C\\/a\\u003E.\\r\\n\\r\\nCheers,\\r\\nThe \\u003Ca href=\\u0022[site:url]\\u0022\\u003E[site:name] webmaster\\u003C\\/a\\u003E.",
          "format" : "full_html",
          "safe_value" : "Hello [message:user:name],\\n\\n\\u003Ca href=\\u0022[message:field-moderator:url]\\u0022\\u003E[message:field-moderator:name]\\u003C\\/a\\u003E has moderated  \\u003Ca href=\\u0022[message:field-comment-ref:author:url]\\u0022\\u003E[message:field-comment-ref:author:name]\\u003C\\/a\\u003E\\u0027s comment:  \\u003Ca href=\\u0022[message:field-comment-ref:url]\\u0022\\u003E\\u0022[message:field-comment-ref:title]\\u0022\\u003C\\/a\\u003E on the [message:field-comment-ref:node:content-type] \\u003Ca href=\\u0022[message:field-comment-ref:node:url]\\u0022\\u003E\\u0022[message:field-comment-ref:node:title]\\u0022\\u003C\\/a\\u003E.\\n\\nCheers,\\nThe \\u003Ca href=\\u0022[site:url]\\u0022\\u003E[site:name] webmaster\\u003C\\/a\\u003E."
        }
      ]
    }
  }');
  $items['moderated_content'] = entity_import('message_type', '{
    "name" : "moderated_content",
    "description" : "moderated content",
    "argument_keys" : [],
    "argument" : [],
    "category" : "message_type",
    "data" : {
      "token options" : { "clear" : 0 },
      "purge" : { "override" : 0, "enabled" : 0, "quota" : "", "days" : "" }
    },
    "language" : "en",
    "arguments" : null,
    "message_text" : { "und" : [
        {
          "value" : "\\u003Ca href=\\u0022[message:user:url]\\u0022\\u003E[message:user:name]\\u003C\\/a\\u003E has moderated  \\u003Ca href=\\u0022[message:field-target-nodes:0:author:url]\\u0022\\u003E[message:field-target-nodes:0:author]\\u003C\\/a\\u003E\\u0027s [message:field-target-nodes:0:content-type] \\u003Ca href=\\u0022[message:field-target-nodes:0:url]\\u0022\\u003E\\u0022[message:field-target-nodes:0:title]\\u0022\\u003C\\/a\\u003E.",
          "format" : "full_html",
          "safe_value" : "\\u003Ca href=\\u0022[message:user:url]\\u0022\\u003E[message:user:name]\\u003C\\/a\\u003E has moderated  \\u003Ca href=\\u0022[message:field-target-nodes:0:author:url]\\u0022\\u003E[message:field-target-nodes:0:author]\\u003C\\/a\\u003E\\u0027s [message:field-target-nodes:0:content-type] \\u003Ca href=\\u0022[message:field-target-nodes:0:url]\\u0022\\u003E\\u0022[message:field-target-nodes:0:title]\\u0022\\u003C\\/a\\u003E."
        },
        {
          "value" : "[message:field-moderator:name] has moderated [message:field-target-nodes:0:author:name]\\u0027s [message:field-target-nodes:0:content-type] \\u0022[message:field-target-nodes:0:title]\\u0022.",
          "format" : "full_html",
          "safe_value" : "[message:field-moderator:name] has moderated [message:field-target-nodes:0:author:name]\\u0027s [message:field-target-nodes:0:content-type] \\u0022[message:field-target-nodes:0:title]\\u0022."
        },
        {
          "value" : "Hello [message:user:name],\\r\\n\\r\\n\\u003Ca href=\\u0022[message:field-moderator:url]\\u0022\\u003E[message:field-moderator:name]\\u003C\\/a\\u003E has moderated  \\u003Ca href=\\u0022[message:field-target-nodes:0:author:url]\\u0022\\u003E[message:field-target-nodes:0:author:name]\\u003C\\/a\\u003E\\u0027s [message:field-target-nodes:0:content-type]:  \\u0022\\u003Ca href=\\u0022[message:field-target-nodes:0:url]\\u0022\\u003E[message:field-target-nodes:0:title]\\u003C\\/a\\u003E\\u0022.\\r\\n\\r\\nCheers,\\r\\nThe \\u003Ca href=\\u0022[site:url]\\u0022\\u003E[site:name] webmaster\\u003C\\/a\\u003E.",
          "format" : "full_html",
          "safe_value" : "Hello [message:user:name],\\n\\n\\u003Ca href=\\u0022[message:field-moderator:url]\\u0022\\u003E[message:field-moderator:name]\\u003C\\/a\\u003E has moderated  \\u003Ca href=\\u0022[message:field-target-nodes:0:author:url]\\u0022\\u003E[message:field-target-nodes:0:author:name]\\u003C\\/a\\u003E\\u0027s [message:field-target-nodes:0:content-type]:  \\u0022\\u003Ca href=\\u0022[message:field-target-nodes:0:url]\\u0022\\u003E[message:field-target-nodes:0:title]\\u003C\\/a\\u003E\\u0022.\\n\\nCheers,\\nThe \\u003Ca href=\\u0022[site:url]\\u0022\\u003E[site:name] webmaster\\u003C\\/a\\u003E."
        }
      ]
    }
  }');
  $items['new_comment'] = entity_import('message_type', '{
    "name" : "new_comment",
    "description" : "new comment",
    "argument_keys" : [],
    "argument" : [],
    "category" : "message_type",
    "data" : {
      "token options" : { "clear" : 0 },
      "purge" : { "override" : 0, "enabled" : 0, "quota" : "", "days" : "" }
    },
    "language" : "en",
    "arguments" : null,
    "message_text" : { "und" : [
        {
          "value" : "\\u003Ca href=\\u0022[message:field-comment-ref:author:url]\\u0022\\u003E[message:field-comment-ref:author:name]\\u003C\\/a\\u003E has commented on the [message:field-comment-ref:node:content-type] \\u003Ca href=\\u0022[message:field-comment-ref:node:url]\\u0022\\u003E\\u0022[message:field-comment-ref:node:title]\\u0022\\u003C\\/a\\u003E.",
          "format" : "full_html",
          "safe_value" : "\\u003Ca href=\\u0022[message:field-comment-ref:author:url]\\u0022\\u003E[message:field-comment-ref:author:name]\\u003C\\/a\\u003E has commented on the [message:field-comment-ref:node:content-type] \\u003Ca href=\\u0022[message:field-comment-ref:node:url]\\u0022\\u003E\\u0022[message:field-comment-ref:node:title]\\u0022\\u003C\\/a\\u003E."
        },
        {
          "value" : "[message:field-comment-ref:author] commented on [message:field-comment-ref:node:title].",
          "format" : "full_html",
          "safe_value" : "[message:field-comment-ref:author] commented on [message:field-comment-ref:node:title]."
        },
        {
          "value" : "Hello [message:user:name],\\r\\n\\r\\n\\u003Ca href=\\u0022[message:field-comment-ref:author:url]\\u0022\\u003E[message:field-comment-ref:author:name]\\u003C\\/a\\u003E has commented on the [message:field-comment-ref:node:content-type] \\u003Ca href=\\u0022[message:field-comment-ref:node:url]\\u0022\\u003E\\u0022[message:field-comment-ref:node:title]\\u0022\\u003C\\/a\\u003E.\\r\\n\\r\\nCheers,\\r\\nThe \\u003Ca href=\\u0022[site:url]\\u0022\\u003E[site:name] webmaster\\u003C\\/a\\u003E.",
          "format" : "full_html",
          "safe_value" : "Hello [message:user:name],\\n\\n\\u003Ca href=\\u0022[message:field-comment-ref:author:url]\\u0022\\u003E[message:field-comment-ref:author:name]\\u003C\\/a\\u003E has commented on the [message:field-comment-ref:node:content-type] \\u003Ca href=\\u0022[message:field-comment-ref:node:url]\\u0022\\u003E\\u0022[message:field-comment-ref:node:title]\\u0022\\u003C\\/a\\u003E.\\n\\nCheers,\\nThe \\u003Ca href=\\u0022[site:url]\\u0022\\u003E[site:name] webmaster\\u003C\\/a\\u003E."
        }
      ]
    }
  }');
  $items['new_content'] = entity_import('message_type', '{
    "name" : "new_content",
    "description" : "New content",
    "argument_keys" : [],
    "argument" : [],
    "category" : "message_type",
    "data" : {
      "token options" : { "clear" : 0 },
      "purge" : { "override" : 0, "enabled" : 0, "quota" : "", "days" : "" }
    },
    "language" : "en",
    "arguments" : null,
    "message_text" : { "und" : [
        {
          "value" : "\\u003Ca href=\\u0022[message:user:url:absolute]\\u0022\\u003E[message:user:name]\\u003C\\/a\\u003E created the new [message:field-target-nodes:0:content-type] \\u003Ca href=\\u0022[message:field-target-nodes:0:url]\\u0022\\u003E[message:field-target-nodes:0:title]\\u003C\\/a\\u003E",
          "format" : "filtered_html",
          "safe_value" : "\\u003Cp\\u003E\\u003Ca href=\\u0022[message:user:url:absolute]\\u0022\\u003E[message:user:name]\\u003C\\/a\\u003E created the new [message:field-target-nodes:0:content-type] \\u003Ca href=\\u0022[message:field-target-nodes:0:url]\\u0022\\u003E[message:field-target-nodes:0:title]\\u003C\\/a\\u003E\\u003C\\/p\\u003E\\n"
        }
      ]
    }
  }');
  $items['update_comment'] = entity_import('message_type', '{
    "name" : "update_comment",
    "description" : "update comment",
    "argument_keys" : [],
    "argument" : [],
    "category" : "message_type",
    "data" : {
      "token options" : { "clear" : 0 },
      "purge" : { "override" : 0, "enabled" : 0, "quota" : "", "days" : "" }
    },
    "language" : "en",
    "arguments" : null,
    "message_text" : { "und" : [
        {
          "value" : "\\u003Ca href=\\u0022[message:field-comment-ref:author:url]\\u0022\\u003E[message:field-comment-ref:author:name]\\u003C\\/a\\u003E has updated his comment on the [message:field-comment-ref:node:content-type] \\u003Ca href=\\u0022[message:field-comment-ref:node:url]\\u0022\\u003E\\u0022[message:field-comment-ref:node:title]\\u0022\\u003C\\/a\\u003E.",
          "format" : "filtered_html",
          "safe_value" : "\\u003Cp\\u003E\\u003Ca href=\\u0022[message:field-comment-ref:author:url]\\u0022\\u003E[message:field-comment-ref:author:name]\\u003C\\/a\\u003E has updated his comment on the [message:field-comment-ref:node:content-type] \\u003Ca href=\\u0022[message:field-comment-ref:node:url]\\u0022\\u003E\\u0022[message:field-comment-ref:node:title]\\u0022\\u003C\\/a\\u003E.\\u003C\\/p\\u003E\\n"
        },
        {
          "value" : "[message:field-comment-ref:author] has updated his comment on [message:field-comment-ref:node:title].",
          "format" : "full_html",
          "safe_value" : "[message:field-comment-ref:author] has updated his comment on [message:field-comment-ref:node:title]."
        },
        {
          "value" : "Hello [message:user:name],\\r\\n\\r\\n\\u003Ca href=\\u0022[message:field-comment-ref:author:url]\\u0022\\u003E[message:field-comment-ref:author:name]\\u003C\\/a\\u003E has updated his comment on the [message:field-comment-ref:node:content-type] \\u003Ca href=\\u0022[message:field-comment-ref:node:url]\\u0022\\u003E\\u0022[message:field-comment-ref:node:title]\\u0022\\u003C\\/a\\u003E.\\r\\n\\r\\nCheers,\\r\\nThe \\u003Ca href=\\u0022[site:url]\\u0022\\u003E[site:name] webmaster\\u003C\\/a\\u003E.",
          "format" : "full_html",
          "safe_value" : "Hello [message:user:name],\\n\\n\\u003Ca href=\\u0022[message:field-comment-ref:author:url]\\u0022\\u003E[message:field-comment-ref:author:name]\\u003C\\/a\\u003E has updated his comment on the [message:field-comment-ref:node:content-type] \\u003Ca href=\\u0022[message:field-comment-ref:node:url]\\u0022\\u003E\\u0022[message:field-comment-ref:node:title]\\u0022\\u003C\\/a\\u003E.\\n\\nCheers,\\nThe \\u003Ca href=\\u0022[site:url]\\u0022\\u003E[site:name] webmaster\\u003C\\/a\\u003E."
        }
      ]
    }
  }');
  $items['update_content'] = entity_import('message_type', '{
    "name" : "update_content",
    "description" : "Update content",
    "argument_keys" : [],
    "argument" : [],
    "category" : "message_type",
    "data" : {
      "token options" : { "clear" : 0 },
      "purge" : { "override" : 0, "enabled" : 0, "quota" : "", "days" : "" }
    },
    "language" : "en",
    "arguments" : null,
    "message_text" : { "und" : [
        {
          "value" : "\\u003Ca href=\\u0022[message:field-target-nodes:0:author:url:absolute]\\u0022\\u003E[message:field-target-nodes:0:author:name]\\u003C\\/a\\u003E has updated his [message:field-target-nodes:0:content-type] \\u003Ca href=\\u0022[message:field-target-nodes:0:url]\\u0022\\u003E[message:field-target-nodes:0:title]\\u003C\\/a\\u003E.",
          "format" : "filtered_html",
          "safe_value" : "\\u003Cp\\u003E\\u003Ca href=\\u0022[message:field-target-nodes:0:author:url:absolute]\\u0022\\u003E[message:field-target-nodes:0:author:name]\\u003C\\/a\\u003E has updated his [message:field-target-nodes:0:content-type] \\u003Ca href=\\u0022[message:field-target-nodes:0:url]\\u0022\\u003E[message:field-target-nodes:0:title]\\u003C\\/a\\u003E.\\u003C\\/p\\u003E\\n"
        },
        {
          "value" : "[message:field-target-nodes:0:author] has updated his [message:field-target-nodes:0:content-type] [message:field-target-nodes:0:title].",
          "format" : "full_html",
          "safe_value" : "[message:field-target-nodes:0:author] has updated his [message:field-target-nodes:0:content-type] [message:field-target-nodes:0:title]."
        },
        {
          "value" : "Hello [message:user:name],\\r\\n\\r\\n\\u003Ca href=\\u0022[message:field-target-nodes:0:author:url]\\u0022\\u003E[message:field-target-nodes:0:author:name]\\u003C\\/a\\u003E has updated his [message:field-target-nodes:0:content-type] \\u003Ca href=\\u0022[message:field-target-nodes:0:url]\\u0022\\u003E[message:field-target-nodes:0:title]\\u003C\\/a\\u003E.\\r\\n\\r\\nCheers,\\r\\nThe \\u003Ca href=\\u0022[site:url]\\u0022\\u003E[site:name] webmaster\\u003C\\/a\\u003E.",
          "format" : "full_html",
          "safe_value" : "Hello [message:user:name],\\n\\n\\u003Ca href=\\u0022[message:field-target-nodes:0:author:url]\\u0022\\u003E[message:field-target-nodes:0:author:name]\\u003C\\/a\\u003E has updated his [message:field-target-nodes:0:content-type] \\u003Ca href=\\u0022[message:field-target-nodes:0:url]\\u0022\\u003E[message:field-target-nodes:0:title]\\u003C\\/a\\u003E.\\n\\nCheers,\\nThe \\u003Ca href=\\u0022[site:url]\\u0022\\u003E[site:name] webmaster\\u003C\\/a\\u003E."
        }
      ]
    }
  }');
  $items['updated_by_moderator'] = entity_import('message_type', '{
    "name" : "updated_by_moderator",
    "description" : "Updated by moderator",
    "argument_keys" : [],
    "argument" : [],
    "category" : "message_type",
    "data" : {
      "token options" : { "clear" : 0 },
      "purge" : { "override" : 0, "enabled" : 0, "quota" : "", "days" : "" }
    },
    "language" : "en",
    "arguments" : null,
    "message_text" : { "und" : [
        {
          "value" : "Your [message:field-target-nodes:0:content-type] \\u0022[message:field-target-nodes:0:title]\\u0022 has been moderated.",
          "format" : "full_html",
          "safe_value" : "Your [message:field-target-nodes:0:content-type] \\u0022[message:field-target-nodes:0:title]\\u0022 has been moderated."
        },
        {
          "value" : "Hello [message:field-target-nodes:0:author:name],\\r\\n\\r\\n\\u003Ca href=\\u0022[message:field-moderator:url]\\u0022\\u003E[message:field-moderator:name]\\u003C\\/a\\u003E has moderated your [message:field-target-nodes:0:content-type]:  \\u0022\\u003Ca href=\\u0022[message:field-target-nodes:0:url]\\u0022\\u003E[message:field-target-nodes:0:title]\\u003C\\/a\\u003E\\u0022.\\r\\n\\r\\nCheers,\\r\\nThe \\u003Ca href=\\u0022[site:url]\\u0022\\u003E[site:name] webmaster\\u003C\\/a\\u003E.",
          "format" : "full_html",
          "safe_value" : "Hello [message:field-target-nodes:0:author:name],\\n\\n\\u003Ca href=\\u0022[message:field-moderator:url]\\u0022\\u003E[message:field-moderator:name]\\u003C\\/a\\u003E has moderated your [message:field-target-nodes:0:content-type]:  \\u0022\\u003Ca href=\\u0022[message:field-target-nodes:0:url]\\u0022\\u003E[message:field-target-nodes:0:title]\\u003C\\/a\\u003E\\u0022.\\n\\nCheers,\\nThe \\u003Ca href=\\u0022[site:url]\\u0022\\u003E[site:name] webmaster\\u003C\\/a\\u003E."
        }
      ]
    }
  }');
  $items['updated_by_moderator_comment'] = entity_import('message_type', '{
    "name" : "updated_by_moderator_comment",
    "description" : "Updated by moderator comment",
    "argument_keys" : [],
    "argument" : [],
    "category" : "message_type",
    "data" : {
      "token options" : { "clear" : 0 },
      "purge" : { "override" : 0, "enabled" : 0, "quota" : "", "days" : "" }
    },
    "language" : "en",
    "arguments" : null,
    "message_text" : { "und" : [
        {
          "value" : "Your comment: \\u0022[message:field-comment-ref:title]\\u0022 has been moderated.",
          "format" : "full_html",
          "safe_value" : "Your comment: \\u0022[message:field-comment-ref:title]\\u0022 has been moderated."
        },
        {
          "value" : "Hello [message:field-target-nodes:0:author:name],\\r\\n\\r\\n\\u003Ca href=\\u0022[message:field-moderator:url]\\u0022\\u003E[message:field-moderator:name]\\u003C\\/a\\u003E has moderated your comment:  \\u0022\\u003Ca href=\\u0022[message:field-comment-ref:url]\\u0022\\u003E[message:field-comment-ref:title]\\u003C\\/a\\u003E\\u0022.\\r\\n\\r\\nCheers,\\r\\nThe \\u003Ca href=\\u0022[site:url]\\u0022\\u003E[site:name] webmaster\\u003C\\/a\\u003E.",
          "format" : "full_html",
          "safe_value" : "Hello [message:field-target-nodes:0:author:name],\\n\\n\\u003Ca href=\\u0022[message:field-moderator:url]\\u0022\\u003E[message:field-moderator:name]\\u003C\\/a\\u003E has moderated your comment:  \\u0022\\u003Ca href=\\u0022[message:field-comment-ref:url]\\u0022\\u003E[message:field-comment-ref:title]\\u003C\\/a\\u003E\\u0022.\\n\\nCheers,\\nThe \\u003Ca href=\\u0022[site:url]\\u0022\\u003E[site:name] webmaster\\u003C\\/a\\u003E."
        }
      ]
    }
  }');
  return $items;
}
