<?php
/**
 * @file
 * The template for the node question comment.
 */
?>
<div class="gm-comment">
  <div class="gm-author text-right">
    <div class="pull-left">
      <span class="glyphicon glyphicon-comment"></span>
    </div>
    <em><?php print ($submitted);?></em>
  </div>
	<div class="content <?php print $classes; ?>"<?php print $content_attributes; ?>>
	<?php
    // Remove reply link to force to disable threading.
    unset($content['links']['comment']['#links']['comment-reply']);

    print render($content['comment_body']);
  ?>
    <div class="pull-right comment-actions">
      <span class="glyphicon glyphicon-tag"></span> <a href="<?php echo url('node/' . $comment->nid, array('fragment' => 'comment-' . $comment->cid)); ?>"><?php echo t('Permalink'); ?></a>
      <?php

      // Author and admin can edit the comment.
      if(comment_access('edit', $comment)):
      ?>
        <span class="glyphicon glyphicon-pencil">
        </span>
        <a href="<?php echo url('comment/' . $comment->cid . '/edit') ?>"><?php echo t('Edit') ?></a>
      <?php
      endif;
      // Webmaster can transform comment in answer.
      if (user_access('move comment to answer')) : ?>
        <span class="glyphicon glyphicon-share"></span>
        <?php
        echo l(t('Transform to answer'), 'comment/' . $comment->cid . '/to_answer') . '&nbsp;';
      endif;
      // Antispam links ?
      foreach ($content['links']['comment']['#links'] as $key_link => $link_value) :
        if (preg_match('/^antispam/', $key_link)) :
          // Choose the good icon.
          switch($key_link) :
            case 'antispam_comment_spam':
              $glyphicon = 'glyphicon glyphicon-ban-circle';
            break;

            case 'antispam_comment_ham':
              $glyphicon = 'glyphicon glyphicon-ok-circle';
            break;

            case 'antispam_comment_publish':
              $glyphicon = 'glyphicon glyphicon-eye-open';
            break;

            case 'antispam_comment_unpublish':
              $glyphicon = 'glyphicon glyphicon-eye-close';
            break;
          endswitch;
        ?>
          <span class="glyphicon <?php echo $glyphicon; ?>">
          </span>
          <a href="<?php echo url($link_value['href']);?>"><?php echo $link_value['title']; ?></a>
        <?php endif;
      endforeach; ?>
    </div>
    <div class="clearfix"></div>
    </div>
</div>
