<?php
/**
 * @file
 * The answers inside a question Template.
 */

// Load the user.
global $user;

// Load the class.
include_once drupal_get_path('module', 'group_mind_q_a') . '/templates/node/node--question-includes/answers.class.php';
$answers = answers::get($node->nid);
// Do we have an answer which resolved the question ?.
if (!empty($node->field_question_resolved_by[LANGUAGE_NONE][0]['target_id']) && !empty($answers[$node->field_question_resolved_by[LANGUAGE_NONE][0]['target_id']])):
    echo '<h2>' . t('Resolved by') . '</h2>';
    echo '<div class="gm-resolved">';
        $answer_view = node_view($answers[$node->field_question_resolved_by[LANGUAGE_NONE][0]['target_id']]);
        $answer_view['comments'] = comment_node_page_additions($answers[$node->field_question_resolved_by[LANGUAGE_NONE][0]['target_id']]);
        print render($answer_view);
    echo '</div>';
    // Unset this answer.
    $resolved_answer = TRUE;
    unset($answers[$node->field_question_resolved_by[LANGUAGE_NONE][0]['target_id']]);
    // It there are others answers, put the title other answers.
    if (!empty($answers)):
        echo '<h2>' . count($answers) . ' ' . (count($answers) > 1 ? t('Other Answers') : t('Other Answer')) . '</h2>';
    endif;
else:
    echo '<h2>' . (!empty($answers) ? count($answers) . ' ' . (count($answers) > 1 ? t('Answers') : t('Answer')) : t('No answers')) . '</h2>';
endif;
// Display answers.
foreach ($answers as $answer):
    $answer_view = node_view($answer);
    $answer_view['comments'] = comment_node_page_additions($answer);
    print render($answer_view);
endforeach;
// No answer ?
if (empty($answers) && empty($resolved_answer)):
    echo '<div class="col-md-12 alert alert-warning">';
    echo t("This question hasn't been answered yet. Be the first to answer it.");
    echo '</div><div class="clearfix"></div>';
endif;
// Display the add answer form.
if ($user->uid):
    echo '<div class="node-question-form"><div class="alert alert-info">';
        echo '<h3>' . t('Guidelines') . '</h3>';
        echo t('This space is for answers. If you want clarification or more help on this topic, please use <strong>comments</strong> instead');
    echo '</div></div>';
    $answer_form = answers::generate_answer_form($node);
    print render($answer_form);
else:
?>
    <div class="restricted_access row col-md-offset-1 col-md-11">
    <div class="col-xs-12 col-md-5">
        <a class="btn btn-primary col-md-12 text-center" href="<?php echo url('user/login', array('query' => array('destination' => drupal_get_path_alias('node/' . $node->nid)))); ?>" style="margin-top: -5px;" title="<?php echo t('Login'); ?>"><?php echo t('Please login to answer it') ?></a>
    </div>
    <div class="col-xs-12 col-md-2 text-center">
        <strong><?php echo t('OR'); ?></strong>
    </div>
    <div class="col-xs-12 col-md-5">
        <a class="btn btn-danger col-md-12 text-center" href="<?php echo url('user/register', array('query' => array('destination' => drupal_get_path_alias('node/' . $node->nid)))); ?>" style="margin-top: -5px;" title="<?php echo t('Sign Up'); ?>"><?php echo t('No account yet? Create one.'); ?></a>
    </div>
    </div>
<?php
endif;
